Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Namespace List
- Namespace Members

Classes | Functions
Json Namespace Reference

JSON (JavaScript Object Notation). More...

## Classes
class | BatchAllocator
class | DefaultValueAllocator
struct | DummyValueAllocatorInitializer
class | FastWriter
| Outputs a Value in JSON format without formatting (not human friendly). More...
class | Features
| Configuration passed to reader and writer. This configuration object can be used to force the Reader or Writer to behave in a standard conforming way. More...
class | Path
| Experimental and untested: represents a "path" to access a node. More...
class | PathArgument
| Experimental and untested: represents an element of the "path" to access a node. More...
class | Reader
| Unserialize a JSON document into a Value. More...
class | StaticString
| Lightweight wrapper to tag static string. More...
class | StyledStreamWriter
| Writes a Value in JSON format in a human friendly way, to a stream rather than to a string. More...
class | StyledWriter
| Writes a Value in JSON format in a human friendly way. More...
class | Value
| Represents a JSON value. More...
class | ValueAllocator
| Experimental do not use: Allocator to customize member name and string value memory management done by Value. More...
class | ValueConstIterator
| const iterator for object and array value. More...
class | ValueIterator
| Iterator for object and array value. More...
class | ValueIteratorBase
| base class for Value iterators. More...
class | Writer
| Abstract class for writers. More...

## Functions
std::istream & | operator>> (std::istream &, Value &)
| Read from 'sin' into 'root'. More...
std::string JSON_API | valueToString (Int value)
std::string JSON_API | valueToString (UInt value)
std::string JSON_API | valueToString (double value)
std::string JSON_API | valueToString (bool value)
std::string JSON_API | valueToQuotedString (const char *value)
std::ostream & | operator<< (std::ostream &, const Value &root)
| Output using the StyledStreamWriter. More...

## Detailed Description

JSON (JavaScript Object Notation).

## Function Documentation

std::ostream& Json::operator<< | ( | std::ostream & | sout,
|  | const Value & | root
| ) |  |

Output using the StyledStreamWriter.

See also
  Json::operator>>()

std::istream& Json::operator>> | ( | std::istream & | sin,
|  | Value & | root
| ) |  |

Read from 'sin' into 'root'.

Always keep comments from the input JSON.

This can be used to read a file into a particular sub-object. For example:

Json::Value root;
cin >> root["dir"]["file"];
cout << root;

Result:

    {
    "dir": {
        "file": {
        // The input stream JSON would be nested here.
        }
    }
    }

Exceptions

  std::exception | on parse error.

See also
  Json::operator<<()

std::string JSON_API Json::valueToQuotedString | ( | const char * | value | ) |

std::string JSON_API Json::valueToString | ( | Int | value | ) |

std::string JSON_API Json::valueToString | ( | UInt | value | ) |

std::string JSON_API Json::valueToString | ( | double | value | ) |

std::string JSON_API Json::valueToString | ( | bool | value | ) |